#!/bin/bash

while read line || [[ -n "$line" ]]
do
	for word in $line
	do
		OLDIFS=$IFS
		IFS=",;!?"
		for part in $word
		do
			if [[ $part =~ ^[a-zA-Z]+[a-zA-Z0-9._]*+@+[a-zA-Z.]*+\.+[a-zA-Z.]*$ ]]
				then 
				echo $part
			fi
		done
		IFS=$OLDIFS
	done
done < "$1"