#!/bin/bash


if [ "$2" == "-lines" ] 
	then awk 'END {print NR" lines"}' $1
elif [ "$2" == "-words" ]
	then awk '{w=w+NF;} END {print w" words"}' $1
elif [ "$2" == "-chars" ]
	then sed -e s/" *"/""/g -e s/":a;N;$!ba;"/""/g -e s/"	*"/""/g $1 | awk '{c = c+length($0);}END {print c" characters"}'
elif [ "$2" == "-paras" ]
	then awk 'BEGIN {p=1} {if (length($0)==0 && prev!=0) p=p+1;prev=length($0)} END {{if ($0 == "") p=p-1} {print p" paragraphs"}}' $1
elif [ "$2" == "" ]
	then sed -e s/" *"/""/g -e s/":a;N;$!ba;"/""/g -e s/"	*"/""/g $1 | awk '{c = c+length($0);}END {print c" characters"}' >> output
		 awk '{w = w+NF;}END {print w" words"}' $1 >> output
		 awk 'END {print NR" lines"}' $1 >> output
		 awk 'BEGIN {p=1} {if (length($0)==0 && prev!=0) p=p+1;prev=length($0)} END {{if ($0 == "") p=p-1} {print p" paragraphs"}}' $1 >> output
		 sed ':a;N;$!ba;s/\n/, /g' output
		 rm output
fi

#https://codegolf.stackexchange.com/questions/74222/reimplement-the-wc-coreutil?noredirect=1&lq=1